Package org.h2gis.functions.spatial.properties

## Class ST_IsValidReason

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.properties.ST_IsValidReason

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_IsValidReason
    extends org.h2gis.api.DeterministicScalarFunction

Returns text stating if a geometry is valid or not an if not valid, a reason why

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_IsValidReason()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static String` `isValidReason​(org.locationtech.jts.geom.Geometry geometry)` Returns text stating whether a geometry is valid.
`static String` `isValidReason​(org.locationtech.jts.geom.Geometry geometry, int flag)` Returns text stating whether a geometry is valid.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_IsValidReason

    public ST_IsValidReason()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### isValidReason

    public static String isValidReason​(org.locationtech.jts.geom.Geometry geometry)

Returns text stating whether a geometry is valid. If not, returns a reason why.

Parameters:
  `geometry` - `Geometry`
Returns:
  Returns text stating whether a geometry is valid. If not, returns a reason why

#### isValidReason

    public static String isValidReason​(org.locationtech.jts.geom.Geometry geometry,
                                       int flag)

Returns text stating whether a geometry is valid. If not, returns a reason why.

Parameters:
  `geometry` - `Geometry`
  `flag` - 1 = It will validate inverted shells and exverted holes according the ESRI SDE model. 0 = It will based on the OGC geometry model.
Returns:
  valid reason